package system

import (
	"kra/internal/server/middleware"

	"github.com/gin-gonic/gin"
)

type SysErrorRouter struct{}

// InitSysErrorRouter 初始化错误日志路由
func (s *SysErrorRouter) InitSysErrorRouter(Router *gin.RouterGroup, PublicRouter *gin.RouterGroup) {
	sysErrorRouter := Router.Group("sysError").Use(middleware.OperationRecordMiddleware())
	sysErrorRouterWithoutRecord := Router.Group("sysError")
	sysErrorRouterWithoutAuth := PublicRouter.Group("sysError")
	{
		sysErrorRouter.DELETE("deleteSysError", errorApi.DeleteSysError)           // 删除错误日志
		sysErrorRouter.DELETE("deleteSysErrorByIds", errorApi.DeleteSysErrorByIds) // 批量删除错误日志
		sysErrorRouter.PUT("updateSysError", errorApi.UpdateSysError)              // 更新错误日志
		sysErrorRouter.GET("getSysErrorSolution", errorApi.GetSysErrorSolution)    // 触发错误日志处理
	}
	{
		sysErrorRouterWithoutRecord.GET("findSysError", errorApi.FindSysError)       // 根据ID获取错误日志
		sysErrorRouterWithoutRecord.GET("getSysErrorList", errorApi.GetSysErrorList) // 获取错误日志列表
	}
	{
		sysErrorRouterWithoutAuth.POST("createSysError", errorApi.CreateSysError) // 新建错误日志（公开接口）
	}
}
